<template name="editableImage">
  {{#unless (stateEquals 'progress' 'display')}}
    <form enctype="multipart/form-data" novalidate
          class="text-center editable-image{{#if (state 'supportsDragndrop')}} supports-dragndrop{{/if}}{{#if (state 'dragover')}} is-dragover{{/if}}">
      <input type="file" accept="image/*" class="d-none" id="file" />
      <label for="file">
        <div class="mb-1">
          {{#if (state 'preview')}}
            <img {{thumbnailAttributes}} src="{{state 'preview'}}" />
          {{else if thumbnail.src}}
            <img {{thumbnailAttributes}} src="{{thumbnail.src}}" />
          {{else}}
            <i class="fa-regular fa-image fa-5x" aria-hidden="true"></i>
          {{/if}}
        </div>
        {{#if (state 'dragover')}}
          <div class="editable-image-drop">
            {{i18n 'fileUpload.drop.text' "Drop it like it's hot!"}}
          </div>
        {{else}}
          {{#if (stateEquals 'progress' 'edit')}}
            <span class="btn btn-secondary">{{i18n 'fileUpload.choose.text' 'Choose a file'}}</span>
            {{#if (state 'supportsDragndrop')}}
              <br>
              <span
                    class="editable-image-dragndrop">{{i18n 'fileUpload.drag.text' 'or drag it here'}}</span>
            {{/if}}
          {{else if (stateEquals 'progress' 'uploading')}}
            <div class="editable-image-uploading">
              {{i18n 'fileUpload.uploading.text' 'Uploading…'}}
            </div>
          {{else if (stateEquals 'progress' 'ready')}}
            {{fileName}}
          {{/if}}
        {{/if}}
      </label>
      {{#if (stateEquals 'progress' 'ready')}}
        <div class="form-check text-start">
          <input class="form-check-input js-check-copy-rights" type="checkbox" value=""
                 id="editableImageCopyRights" {{copyRightsChecked}}>
          <label class="form-check-label" for="editableImageCopyRights">
            {{i18n 'fileUpload.copyrights' 'I have the copy rights to publish that file.'}}
          </label>
        </div>
      {{/if}}
    </form>
    <div class='editable-image-controls'>
      {{#if (stateEquals 'progress' 'ready')}}
        {{> buttonSave uploadButtonAttributes}}
      {{else if deleteAllowed}}
        {{> buttonDelete event="js-editable-image-delete"}}
      {{/if}}
      {{> buttonCancel event="js-editable-image-cancel"}}
    </div>
  {{else}}
    <div>
      {{#if thumbnail.src}}
        <img class="cursor-pointer js-editable-image-edit img-thumbnail" {{thumbnailAttributes}}
             src={{thumbnail.src}} />
      {{else}}
        <i class="fa-regular fa-image fa-5x cursor-pointer js-editable-image-edit"
           aria-hidden="true"></i>
      {{/if}}
      <span class="align-top fa-solid fa-pencil cursor-pointer js-editable-image-edit"></span>
      {{#if thumbnail.src}}
        <span class="align-top fa-solid fa-eye cursor-pointer js-editable-image-show"
              data-bs-toggle="modal" data-bs-target="#editable-image-{{instance.id}}"></span>
        <div class="modal fade" id="editable-image-{{instance.id}}" tabindex="-1"
             aria-hidden="true">
          <div class="modal-dialog modal-dialog-centered modal-xl">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="btn-close" data-bs-dismiss="modal"
                        aria-label="Close"></button>
              </div>
              <div class="modal-body text-center">
                <img class="mw-100" src={{thumbnail.src}} />
              </div>
            </div>
          </div>
        </div>
      {{/if}}
    </div>
  {{/unless}}
</template>
